Subject: [Mip6] Re: A question about MIPv6!

From: johnny pan <[email-masked]>
Date: Wed, 11 Jan 2006 15:16:06 +0800 (CST)

Thank you so much! You are such a kind man!
   
  But my classmate still have some puzzle about the details and we still have some different understanding about the "Preactive mode" and the "Reactive mode". 
   
  In my previous letter, i wrote:
   
             His  opinion  about  the  procedure  is  as  follow:
           1.MN  register  with  HA  and  get  a  CoA
           2.begin  RRT  with  CN  at  once  before  any  data  transmission,  and
           through  which  MN  will  know  whether  CN  support  RO.  If  CN  does
           support  RO,  MN  will  send  data  directly  to  CN;  if  not,  all  data
           transmission  will  pass  HA.  It  can  be  described  as  a  procedure  of
           "Register  with  HA- >RRT- >direct  data  transmission".
   
           And  my  opinion  is:
           1.MN  register  with  HA  and  get  a  CoA
           2.MN  or  CN  may  initiate  data  communication  first,  and  becauce  MN
           have  no  information  about  CN(if  MN  send  data  to  the  "unknown"  CN
           first),  this  kind  of  communication  will  have  to  pass  HA.  After
           some  time  of  data  transmission,  MN  initiate  the  RRT  and  register
           with  CN.  It  can  be  described  as  a  procedure  of  "Register  with
           HA- >data  transmission- >RRT- >new  transmission  route".

  In my understanding of your reply, the frist opinion is "Preactive mode" and the second is "Reactive mode" .And which mode to be chosen is just a matter of implentation as your very clear discription " in fact both are possible, it is a matter of implementation".
  And my classmate's understanding is a little different.  His opinion is : After MN registered with HA. If MN initiate communication first, it MUST start RRT first before any data transmission to CN. But my understanding of your "Both  are  possible", it is possible to send data to CN through HA, and after some such data transmission, then switch the data transmission through HA to CN directly. 
   
  So what do you think about this? Thanks again! :)
   
  Best Regards
   
  Johnny Pan

---------------------------------
 想成为冯小刚、陈凯歌、张纪中三大导演的主角吗？

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Brian Haley <[email-masked]>
Date: Wed, 11 Jan 2006 10:06:05 -0500

johnny pan wrote:
> In my understanding of your reply, the frist opinion is "Preactive mode" 
> and the second is "Reactive mode" .And which mode to be chosen is just a 
> matter of implentation as your very clear discription " in fact both are 
> possible, it is a matter of implementation".
> And my classmate's understanding is a little different.  His opinion is 
> : After MN registered with HA. If MN initiate communication first, 
> it MUST start RRT first before any data transmission to CN. But my 
> understanding of your "Both  are  possible", it is possible to send data 
> to CN through HA, and after some such data transmission, then switch the 
> data transmission through HA to CN directly.

Section 11.7.2 addresses this.  A snippet:

    Considerations regarding when (and if) to initiate the procedure
    depend on the specific movement and traffic patterns of the mobile
    node and are outside the scope of this document.

There are only SHOULDs and MAYs regarding this decision in that section, 
no MUSTs...

-Brian

---

From: Francis Dupont <[email-masked]>
Date: Wed, 11 Jan 2006 18:35:30 +0100

In your previous mail you wrote:

     But my classmate still have some puzzle about the details and we
   still have some different understanding about the "Preactive mode" and
   the "Reactive mode".                                 ^

=> Proactive

     In my understanding of your reply, the frist opinion is
   "Preactive mode" and the second is "Reactive mode" .And which mode
   to be chosen is just a matter of implementation as your very clear
   discription " in fact both are possible, it is a matter of implementation".

=> yes, RFC 3775 doesn't choose between these two basic strategies.

     And my classmate's understanding is a little different.  His
   opinion is : After MN registered with HA. If MN initiate communication
   first, it MUST start RRT first before any data transmission to CN.

=> no, this "MUST" is far too strong. You have only a MAY.

   But my understanding of your "Both are possible", it is possible to
   send data to CN through HA, and after some such data transmission,
   then switch the data transmission through HA to CN directly.
      
=> you are right.

Regards

[email-masked]